import {mande} from "mande";

const watchers = mande('/api/v1/watchers')

export const ListWatchers = (query) => {
    return watchers.get({query:query})
}

export const CreateWatcher = (opt)=>{
    return watchers.post(opt)
}

export const DeleteWatcher = (uid)=>{
    return watchers.delete(`/${encodeURIComponent(uid)}`)
}

export const StopWatcher = (uid)=>{
    return watchers.delete(`/${encodeURIComponent(uid)}/status`)
}
export const StartWatcher = (uid)=>{
    return watchers.post(`/${encodeURIComponent(uid)}/status`)
}