import {createRouter, createWebHashHistory} from "vue-router";

const routes = [
    {
        path: '/',
        redirect: '/watcher'
    },
    {
        path: '/watcher',
        name: 'watcher',
        component: ()=>import('@/views/Watcher/index.vue')
    },
    {
        path: '/pusher',
        name: 'pusher',
        component: ()=>import('@/views/Pusher/index.vue')
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes
})

export default router